package model

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ AccountToUidModel = (*customAccountToUidModel)(nil)

var (
	// nolint:unused
	cacheAccountPrefix = "cache:accountToUid:account:"
)

type (
	// AccountToUidModel is an interface to be customized, add more methods here,
	// and implement the added methods in customAccountToUidModel.
	AccountToUidModel interface {
		accountToUidModel
	}

	customAccountToUidModel struct {
		*defaultAccountToUidModel
	}
)

// NewAccountToUidModel returns a model for the database table.
func NewAccountToUidModel(conn sqlx.SqlConn, c cache.CacheConf, opts ...cache.Option) AccountToUidModel {
	return &customAccountToUidModel{
		defaultAccountToUidModel: newAccountToUidModel(conn, c, opts...),
	}
}
